summaryrefslogtreecommitdiffstats
path: root/games/clksignal
diff options
context:
space:
mode:
Diffstat (limited to 'games/clksignal')
-rw-r--r--games/clksignal/9342c60.diff34
-rw-r--r--games/clksignal/README29
-rw-r--r--games/clksignal/clksignal-qt.683
-rw-r--r--games/clksignal/clksignal-qt.desktop7
-rw-r--r--games/clksignal/clksignal-qt.rst72
-rw-r--r--games/clksignal/clksignal.SlackBuild125
-rw-r--r--games/clksignal/clksignal.desktop8
-rw-r--r--games/clksignal/clksignal.info10
-rw-r--r--games/clksignal/doinst.sh9
-rw-r--r--games/clksignal/slack-desc19
10 files changed, 396 insertions, 0 deletions
diff --git a/games/clksignal/9342c60.diff b/games/clksignal/9342c60.diff
new file mode 100644
index 0000000000..02f707d3c0
--- /dev/null
+++ b/games/clksignal/9342c60.diff
@@ -0,0 +1,34 @@
+diff --git a/OSBindings/Qt/clksignal.pro b/OSBindings/Qt/clksignal.pro
+index cb1e865b2..e26e3e77b 100644
+--- a/OSBindings/Qt/clksignal.pro
++++ b/OSBindings/Qt/clksignal.pro
+@@ -113,8 +113,6 @@ SOURCES += \
+ $$SRC/Processors/6502/Implementation/*.cpp \
+ $$SRC/Processors/6502/State/*.cpp \
+ $$SRC/Processors/65816/Implementation/*.cpp \
+- $$SRC/Processors/68000/Implementation/*.cpp \
+- $$SRC/Processors/68000/State/*.cpp \
+ $$SRC/Processors/Z80/Implementation/*.cpp \
+ $$SRC/Processors/Z80/State/*.cpp \
+ \
+@@ -259,7 +257,6 @@ HEADERS += \
+ $$SRC/Processors/65816/Implementation/*.hpp \
+ $$SRC/Processors/68000/*.hpp \
+ $$SRC/Processors/68000/Implementation/*.hpp \
+- $$SRC/Processors/68000/State/*.hpp \
+ $$SRC/Processors/Z80/*.hpp \
+ $$SRC/Processors/Z80/Implementation/*.hpp \
+ $$SRC/Processors/Z80/State/*.hpp \
+diff --git a/OSBindings/SDL/SConstruct b/OSBindings/SDL/SConstruct
+index 6b1e6e849..af2dd675c 100644
+--- a/OSBindings/SDL/SConstruct
++++ b/OSBindings/SDL/SConstruct
+@@ -100,8 +100,6 @@ SOURCES += glob.glob('../../Outputs/OpenGL/Primitives/*.cpp')
+ SOURCES += glob.glob('../../Processors/6502/Implementation/*.cpp')
+ SOURCES += glob.glob('../../Processors/6502/State/*.cpp')
+ SOURCES += glob.glob('../../Processors/65816/Implementation/*.cpp')
+-SOURCES += glob.glob('../../Processors/68000/Implementation/*.cpp')
+-SOURCES += glob.glob('../../Processors/68000/State/*.cpp')
+ SOURCES += glob.glob('../../Processors/Z80/Implementation/*.cpp')
+ SOURCES += glob.glob('../../Processors/Z80/State/*.cpp')
+
diff --git a/games/clksignal/README b/games/clksignal/README
new file mode 100644
index 0000000000..84f393a0fb
--- /dev/null
+++ b/games/clksignal/README
@@ -0,0 +1,29 @@
+clksignal (emulator for various classic computing platforms)
+
+CLK, also known as Clock Signal, is an emulator for tourists that
+seeks to be invisible. Users directly launch classic software with no
+emulator or per-emulated-machine learning curve.
+
+It currently emulates the Acorn Electron, Amstrad CPC, Amiga, Apple
+II/II+/IIe, Atari 2600, Atari ST, ColecoVision, Commodore VIC-20,
+Enterprise 64/128, 512K Mac/Mac+, MSX-1, Oric/Atmos, Sega Master
+System, Sinclair ZX81/81, and Sinclair ZX Spectrum.
+
+Through the combination of static analysis and runtime analysis, CLK
+seeks to be able automatically to select and configure the appropriate
+machine to run any provided disk, tape or ROM; to issue any commands
+necessary to run the software contained on the disk, tape or ROM;
+and to provide accelerated loading where feasible. The full process
+of loading a title - even if you've never used the emulated machine
+before - is therefore: 1. locate it in your OS; 2. double click
+it.
+
+Notes:
+
+- clksignal requires ROM images for most of the systems it emulates.
+ Install clksignal-roms to get a "starter" set of ROM images.
+ When an image is missing, it will tell you the name, size, and
+ CRC of the image, so you can go search for it on the web.
+
+- For the "locate and click" to work, you'll have to associate the
+ file types/extensions with clksignal manually.
diff --git a/games/clksignal/clksignal-qt.6 b/games/clksignal/clksignal-qt.6
new file mode 100644
index 0000000000..613e824dac
--- /dev/null
+++ b/games/clksignal/clksignal-qt.6
@@ -0,0 +1,83 @@
+.\" Man page generated from reStructuredText.
+.
+.
+.nr rst2man-indent-level 0
+.
+.de1 rstReportMargin
+\\$1 \\n[an-margin]
+level \\n[rst2man-indent-level]
+level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
+-
+\\n[rst2man-indent0]
+\\n[rst2man-indent1]
+\\n[rst2man-indent2]
+..
+.de1 INDENT
+.\" .rstReportMargin pre:
+. RS \\$1
+. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
+. nr rst2man-indent-level +1
+.\" .rstReportMargin post:
+..
+.de UNINDENT
+. RE
+.\" indent \\n[an-margin]
+.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
+.nr rst2man-indent-level -1
+.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
+.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
+..
+.TH "CLKSIGNAL-QT" 6 "2023-07-16" "20230515" "SlackBuilds.org"
+.SH NAME
+clksignal-qt \- graphical interface for clksignal emulator
+.\" RST source for clksignal-qt(6) man page. Convert with:
+.
+.\" rst2man.py clksignal-qt.rst > clksignal-qt.6
+.
+.\" rst2man.py comes from the SBo development/docutils package.
+.
+.SH SYNOPSIS
+.sp
+clksignal\-qt [\fIfile\fP]
+.SH DESCRIPTION
+.sp
+\fBclksignal\-qt\fP is a Qt\-based build of \fBclksignal\fP\&. It accepts no
+command\-line options; starting and configuring the emulator is
+done via the GUI.
+.sp
+If \fIfile\fP is given, it\(aqs used as the ROM/disk/tape image to run.
+If it\(aqs a recognized file type, the appropriate emulated machine will
+automatically be started.
+.sp
+Unlike \fBclksignal\fP, \fBclksignal\-qt\fP \fIonly\fP supports PulseAudio for
+audio output. No, it won\(aqt work with \fBapulse\fP(1), either.
+.SH FILES
+.sp
+\fBclksignal\-qt\fP looks for ROM files in several directories, including:
+.INDENT 0.0
+.TP
+.B /usr/share/clksignal\-qt/ROMImages/
+To populate this directory, install the \fBclksignal\-roms\fP package from
+SlackBuilds.org
+.TP
+.B $HOME/.local/share/clksignal\-qt/ROMImages/
+Simply copy files here (or drag\-and\-drop them into the UI when asked to).
+.UNINDENT
+.sp
+Each of these directories has subdirectories named after the emulated
+system (e.g. \fBAppleII/\fP, \fBVic20/\fP). To see the full list of systems,
+run \fBclksignal\fP \fI\-\-help\fP\&.
+.SH COPYRIGHT
+.sp
+See the file /usr/doc/clksignal\-20230515/LICENSE for license information.
+.SH AUTHORS
+.sp
+clksignal\-qt was written by Thomas Harte.
+.sp
+This man page written for the SlackBuilds.org project
+by B. Watson, and is licensed under the WTFPL.
+.SH SEE ALSO
+.sp
+\fBclksignal\fP(6)
+.\" Generated by docutils manpage writer.
+.
diff --git a/games/clksignal/clksignal-qt.desktop b/games/clksignal/clksignal-qt.desktop
new file mode 100644
index 0000000000..196beeb09d
--- /dev/null
+++ b/games/clksignal/clksignal-qt.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Name=Clock Signal (Qt)
+Type=Application
+Exec=/usr/games/clksignal-qt
+Icon=clksignal
+Terminal=false
+Categories=Game;Emulator;
diff --git a/games/clksignal/clksignal-qt.rst b/games/clksignal/clksignal-qt.rst
new file mode 100644
index 0000000000..e556498f77
--- /dev/null
+++ b/games/clksignal/clksignal-qt.rst
@@ -0,0 +1,72 @@
+.. RST source for clksignal-qt(6) man page. Convert with:
+.. rst2man.py clksignal-qt.rst > clksignal-qt.6
+.. rst2man.py comes from the SBo development/docutils package.
+
+.. |version| replace:: 20230515
+.. |date| date::
+
+============
+clksignal-qt
+============
+
+------------------------------------------
+graphical interface for clksignal emulator
+------------------------------------------
+
+:Manual section: 6
+:Manual group: SlackBuilds.org
+:Date: |date|
+:Version: |version|
+
+SYNOPSIS
+========
+
+clksignal-qt [*file*]
+
+DESCRIPTION
+===========
+
+**clksignal-qt** is a Qt-based build of **clksignal**. It accepts no
+command-line options; starting and configuring the emulator is
+done via the GUI.
+
+If *file* is given, it's used as the ROM/disk/tape image to run.
+If it's a recognized file type, the appropriate emulated machine will
+automatically be started.
+
+Unlike **clksignal**, **clksignal-qt** *only* supports PulseAudio for
+audio output. No, it won't work with **apulse**\(1), either.
+
+FILES
+=====
+
+**clksignal-qt** looks for ROM files in several directories, including:
+
+/usr/share/clksignal-qt/ROMImages/
+ To populate this directory, install the **clksignal-roms** package from
+ SlackBuilds.org
+
+$HOME/.local/share/clksignal-qt/ROMImages/
+ Simply copy files here (or drag-and-drop them into the UI when asked to).
+
+Each of these directories has subdirectories named after the emulated
+system (e.g. **AppleII/**, **Vic20/**). To see the full list of systems,
+run **clksignal** *--help*.
+
+COPYRIGHT
+=========
+
+See the file /usr/doc/clksignal-|version|/LICENSE for license information.
+
+AUTHORS
+=======
+
+clksignal-qt was written by Thomas Harte.
+
+This man page written for the SlackBuilds.org project
+by B. Watson, and is licensed under the WTFPL.
+
+SEE ALSO
+========
+
+**clksignal**\(6)
diff --git a/games/clksignal/clksignal.SlackBuild b/games/clksignal/clksignal.SlackBuild
new file mode 100644
index 0000000000..21c7ff7fda
--- /dev/null
+++ b/games/clksignal/clksignal.SlackBuild
@@ -0,0 +1,125 @@
+#!/bin/bash
+
+# Slackware build script for clksignal
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# 20230716 bkw: updated for v20230515, expand man page a bit.
+# 20230530 bkw: remove unused flags.
+
+# 20230114 bkw: updated for v20221125.
+# - fix my typo that prevented the qt5 UI from being built.
+# - rename ROM dir AppleIIGS => AppleIIgs (the latter is hardcoded
+# in the emulator binary).
+# - make PRINT_PACKAGE_NAME work.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=clksignal
+VERSION=${VERSION:-20230515}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+SRCNAM=CLK
+SRCVER="$( echo $VERSION | sed 's,^\(....\)\(..\)\(..\),\1\-\2-\3,' )"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$SRCVER
+tar xvf $CWD/$SRCNAM-$SRCVER.tar.gz
+cd $SRCNAM-$SRCVER
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+# 20230716 bkw: upstream removed some C++ source files without removing them
+# from the qt5 .pro file. fixed after 20230515 release.
+[ "$VERSION" = "20230515" ] && patch -p1 < $CWD/9342c60.diff
+
+mkdir -p $PKG/usr/games $PKG/usr/man/man6 $PKG/usr/share/applications
+
+# Qt5 user interface is optional.
+if [ "${QT:-yes}" = "yes" ]; then
+ cd OSBindings/Qt
+ qmake-qt5
+ make
+ install -s $PRGNAM $PKG/usr/games/$PRGNAM-qt
+ cd -
+ # clksignal-qt man page written for this SlackBuild
+ gzip -9c < $CWD/$PRGNAM-qt.6 > $PKG/usr/man/man6/$PRGNAM-qt.6.gz
+ cat $CWD/$PRGNAM-qt.desktop > $PKG/usr/share/applications/$PRGNAM-qt.desktop
+fi
+
+cd OSBindings/SDL
+scons $MAKEFLAGS
+install -s $PRGNAM $PKG/usr/games
+cd -
+
+# fix the clksignal man page (no, I'm not going to use ansible).
+THLINE=".TH $PRGNAM 6 \\\"$SRCVER\\\" \\\"$VERSION\\\" \\\"SlackBuilds.org\\\""
+sed '/^\.TH/s,.*,'"$THLINE"',' Packaging/templates/$PRGNAM.1.j2 | \
+ gzip -9c > $PKG/usr/man/man6/$PRGNAM.6.gz
+
+# there actually are a few ROMs in here, plus lots of readme.txt.
+# one dir has the wrong capitalization.
+mkdir -p $PKG/usr/share/$SRCNAM
+mv ROMImages/AppleIIGS ROMImages/AppleIIgs
+cp -a ROMImages/* $PKG/usr/share/$SRCNAM
+
+MACICONS="OSBindings/Mac/Clock Signal/Assets.xcassets/AppIcon.appiconset/"
+for px in 16 32 64 128; do
+ size=${px}x${px}
+ dir=$PKG/usr/share/icons/hicolor/$size/apps
+ mkdir -p $dir
+ cp -a "$MACICONS/Icon$px.png" $dir/$PRGNAM.png
+done
+
+mkdir -p $PKG/usr/share/icons/hicolor/48x48/apps
+convert -resize 48x48 \
+ "$MACICONS/Icon1024.png" \
+ $PKG/usr/share/icons/hicolor/48x48/apps/$PRGNAM.png
+
+mkdir -p $PKG/usr/share/pixmaps
+ln -s ../icons/hicolor/48x48/apps/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+# include a .desktop file with Hidden=true. it won't show up in the menus,
+# because running it with no args is useless, but it will be available for
+# "Open with".
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC/html
+cp -a README.md LICENSE* $PKGDOC
+markdown_py -f $PKGDOC/html/index.html $PKGDOC/README.md
+cp -a READMEImages $PKGDOC/html
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/clksignal/clksignal.desktop b/games/clksignal/clksignal.desktop
new file mode 100644
index 0000000000..e84c895ffd
--- /dev/null
+++ b/games/clksignal/clksignal.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Clock Signal (Qt)
+Type=Application
+Exec=/usr/games/clksignal
+Icon=clksignal
+Hidden=true
+Terminal=false
+Categories=Game;Emulator;
diff --git a/games/clksignal/clksignal.info b/games/clksignal/clksignal.info
new file mode 100644
index 0000000000..a582f28bc1
--- /dev/null
+++ b/games/clksignal/clksignal.info
@@ -0,0 +1,10 @@
+PRGNAM="clksignal"
+VERSION="20230515"
+HOMEPAGE="https://github.com/TomHarte/CLK"
+DOWNLOAD="https://github.com/TomHarte/CLK/archive/2023-05-15/CLK-2023-05-15.tar.gz"
+MD5SUM="a58bf452f0c21f68c5bc90819a426bbf"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"
diff --git a/games/clksignal/doinst.sh b/games/clksignal/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/games/clksignal/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/games/clksignal/slack-desc b/games/clksignal/slack-desc
new file mode 100644
index 0000000000..fdfcb73423
--- /dev/null
+++ b/games/clksignal/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+clksignal: clksignal (emulator for various classic computing platforms)
+clksignal:
+clksignal: CLK, also known as Clock Signal, is an emulator for tourists that
+clksignal: seeks to be invisible. Users directly launch classic software with no
+clksignal: emulator or per-emulated-machine learning curve.
+clksignal:
+clksignal: It currently emulates the Acorn Electron, Amstrad CPC, Amiga, Apple
+clksignal: II/II+/IIe, Atari 2600, Atari ST, ColecoVision, Commodore VIC-20,
+clksignal: Enterprise 64/128, 512K Mac/Mac+, MSX-1, Oric/Atmos, Sega Master
+clksignal: System, Sinclair ZX81/81, and Sinclair ZX Spectrum.
+clksignal: